Page MenuHomePhabricator

Make MediaWiki compatible with PHP 8
Open, Needs TriagePublic

Description

This is a base task for PHP 8.0 support.

Event Timeline

MaxSem created this task.Mar 30 2020, 9:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2020, 9:31 PM

Change 584715 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] GlobalIdGenerator: explicitly cast parameter to floor()

https://gerrit.wikimedia.org/r/584715

Change 584716 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] tests: Make some signatures match base class/trait

https://gerrit.wikimedia.org/r/584716

Change 585018 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] UploadedFileStream: PHP 8 compatibility

https://gerrit.wikimedia.org/r/585018

Change 587287 had a related patch set uploaded (by TK-999; owner: TK-999):
[mediawiki/core@master] Pbkdf2Password: Fix error handling on PHP 8

https://gerrit.wikimedia.org/r/587287

TK-999 added a subscriber: TK-999.Apr 7 2020, 4:09 PM

Change 587287 merged by jenkins-bot:
[mediawiki/core@master] Pbkdf2Password: Fix error handling on PHP 8

https://gerrit.wikimedia.org/r/587287

Change 584715 merged by jenkins-bot:
[mediawiki/core@master] uuid: explicitly cast floor() parameter to a float in GlobalIdGenerator

https://gerrit.wikimedia.org/r/584715

Change 592994 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] tests: Simplify ButtonAuthenticationRequestTest

https://gerrit.wikimedia.org/r/592994

Change 593068 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] GlobalFunctions: Fix wfPercent() with negative accuracy

https://gerrit.wikimedia.org/r/593068

Change 584716 merged by jenkins-bot:
[mediawiki/core@master] tests: Make static/non-static functions match

https://gerrit.wikimedia.org/r/584716

Change 585018 merged by jenkins-bot:
[mediawiki/core@master] UploadedFileStream: PHP 8 compatibility

https://gerrit.wikimedia.org/r/585018

Change 592994 merged by jenkins-bot:
[mediawiki/core@master] tests: Simplify ButtonAuthenticationRequestTest

https://gerrit.wikimedia.org/r/592994

Change 594410 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] FileBackend: Avoid undefined offset notices

https://gerrit.wikimedia.org/r/594410

MaxSem moved this task from Backlog to MediaWiki core on the PHP 8.0 support board.May 7 2020, 2:26 PM

Change 593068 merged by jenkins-bot:
[mediawiki/core@master] GlobalFunctions: Fix wfPercent() with negative accuracy

https://gerrit.wikimedia.org/r/593068

Change 594410 merged by jenkins-bot:
[mediawiki/core@master] FileBackend: Avoid undefined offset notices

https://gerrit.wikimedia.org/r/594410

@AMooney, this task is unassigned. Should it be in the External Review Needed column?

Change 625463 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Remove final modifier on private function

https://gerrit.wikimedia.org/r/625463

Change 625463 merged by jenkins-bot:
[mediawiki/core@master] Remove final modifier on private function

https://gerrit.wikimedia.org/r/625463

Change 632009 had a related patch set uploaded (by Reedy; owner: Ammarpad):
[mediawiki/core@REL1_35] Remove final modifier on private function

https://gerrit.wikimedia.org/r/632009

Change 632009 merged by jenkins-bot:
[mediawiki/core@REL1_35] Remove final modifier on private function

https://gerrit.wikimedia.org/r/632009

DannyS712 added subscribers: Ammarpad, Reedy, DannyS712.EditedOct 5 2020, 12:34 AM

@Ammarpad @Reedy I'm note expert on how phan stubs are used, but https://gerrit.wikimedia.org/g/mediawiki/core/+/22febcecc591d8ad5050837c24dcaf15cbc5ebd8/.phan/internal_stubs/excimer.php includes 2 private final functions
Do those need to be removed?

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:01 PM

In case it helps, I wrote a blog post about PHP 8 focusing on breaking changes relevant for MediaWiki development: http://maettig.com/2020-09-21-prepare-for-php-8